{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_invitation/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_invitation/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% set userInvitationOverviewUrlParameters = {'userRegistrationTypeName': app.request.attributes.get('_route_params').userRegistrationTypeName} %}

        {% set userInvitationOverviewUrlParameters = userInvitationOverviewUrlParameters|merge(fetch_merged_url_parameters_by_session_key_name('userInvitationOverview')) %}

        <a href="{{ path('external_user_user_invitation_overview', userInvitationOverviewUrlParameters) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Nutzer:in einladen</span>
        {{ form_widget(naturalPersonUserInvitationForm.save, {'label': 'ANLEGEN UND EINLADUNG SENDEN', 'id': naturalPersonUserInvitationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
        {{ form_widget(companyUserInvitationForm.save, {'label': 'ANLEGEN UND EINLADUNG SENDEN', 'id': companyUserInvitationForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <p class="mb-0">
                Über das untenstehende Formular können externe Nutzer:innen zu LeAn® eingeladen werden.
                Sie erhalten eine entsprechende E-Mail an die angegebene E-Mail-Adresse mit einem Link zum Erstellen eines Accounts.
                Bitte gehen Sie bei Einladungen datenschutzkonform vor und laden Sie nur externe Nutzer:innen ein, deren Einverständnis Ihnen auch vorliegt.
                Diese kann auch telefonisch erteilt worden sein. Im Rahmen der Einladung müssen die externen Nutzer:innen die entsprechenden Nutzungsbedingungen akzeptieren.
            </p>
        </div>
        <div class="mdc-card mb-4">
            {% include 'component/mdc_tab_bar_component.html.twig' with {
                'id': 'user_invitation_person_type_mdc_tab_bar',
                'tabs': [
                    {'name': 'Privatperson', 'id': 'user_invitation_natural_person_tab_button', 'active': false},
                    {'name': 'Unternehmen', 'id': 'user_invitation_company_tab_button', 'active': false}
                ]
            } only %}
            <div id="user_invitation_natural_person_form_container" class="d-none">
                <div class="p-4">
                    {{ form_start(naturalPersonUserInvitationForm, {'attr': {'id': naturalPersonUserInvitationForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(naturalPersonUserInvitationForm) }}
                    {% include 'external_user/form/user_invitation/natural_person_user_invitation_form.html.twig' with {'form': naturalPersonUserInvitationForm} only %}
                    {{ form_row(naturalPersonUserInvitationForm._token) }}
                    {{ form_end(naturalPersonUserInvitationForm, {'render_rest': false}) }}
                </div>
            </div>
            <div id="user_invitation_company_form_container" class="d-none">
                <div class="p-4">
                    {{ form_start(companyUserInvitationForm, {'attr': {'id': companyUserInvitationForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(companyUserInvitationForm) }}
                    {% include 'external_user/form/user_invitation/company_user_invitation_form.html.twig' with {'form': companyUserInvitationForm} only %}
                    {{ form_row(companyUserInvitationForm._token) }}
                    {{ form_end(companyUserInvitationForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
